Rensei docs
API ReferenceWorkflows

List runs (instances) of a workflow.

List runs (instances) of a workflow. - Rensei REST API operation reference.

GET
/api/workflows/{id}/instances

Authorization

AuthorizationBearer <token>

Rensei API key presented as Authorization: Bearer rsk_live_. Required API-key scopes are recorded per operation in x-rensei-required-scopes.

In: header

Path Parameters

id*string

Workflow id.

Query Parameters

page?integer
Range1 <= value <= 9007199254740991
pageSize?integer
Range1 <= value <= 100
status?string

Response Body

application/json

curl -X GET "https://example.com/api/workflows/string/instances"
{
  "instances": [
    {
      "id": "string",
      "workflowId": "string",
      "workspaceId": "string",
      "status": "string",
      "triggerType": "string",
      "triggerEvent": null,
      "definitionVersion": "string",
      "context": null,
      "error": "string",
      "isTestRun": true,
      "unmockedNodeIds": [
        "string"
      ],
      "startedAt": "string",
      "completedAt": "string",
      "createdAt": "string",
      "updatedAt": "string"
    }
  ],
  "total": -9007199254740991,
  "page": -9007199254740991,
  "pageSize": -9007199254740991
}
Empty
Empty
Empty